import request from '@/utils/request'

// 查询打卡列表
export function listClock(query) {
  return request({
    url: '/business/clock/list',
    method: 'get',
    params: query
  })
}

// 查询打卡列表
export function listClockInfo(params) {
  return request({
    url: '/business/clock/info',
    method: 'get',
    params: params
  })
}

// 查询打卡详细
export function getClock(clockId) {
  return request({
    url: '/business/clock/' + clockId,
    method: 'get'
  })
}

// 新增打卡
export function addClock(data) {
  return request({
    url: '/business/clock',
    method: 'post',
    data: data
  })
}

// 修改打卡
export function updateClock(data) {
  return request({
    url: '/business/clock',
    method: 'put',
    data: data
  })
}

// 删除打卡
export function delClock(clockId) {
  return request({
    url: '/business/clock/' + clockId,
    method: 'delete'
  })
}
